Index: squid/lib/encrypt.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/Attic/encrypt.c,v
retrieving revision 1.1.2.1
retrieving revision 1.1.2.1.2.1
diff -u -r1.1.2.1 -r1.1.2.1.2.1
--- squid/lib/encrypt.c	6 Jan 2001 12:48:45 -0000	1.1.2.1
+++ squid/lib/encrypt.c	27 Aug 2001 21:48:18 -0000	1.1.2.1.2.1
@@ -1,6 +1,5 @@
 /* encrypt.c - providing 56 bit DES encryption
    Copyright (C) 1991 Jochen Obalek
-
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
@@ -29,295 +28,266 @@
 static char schluessel[16][KS];
 
 
-static char PC1[] =
-{
-  56, 48, 40, 32, 24, 16,  8,  0,
-  57, 49, 41, 33, 25, 17,  9,  1,
-  58, 50, 42, 34, 26, 18, 10,  2,
-  59, 51, 43, 35,
-  62, 54, 46, 38, 30, 22, 14,  6,
-  61, 53, 45, 37, 29, 21, 13,  5,
-  60, 52, 44, 36, 28, 20, 12,  4,
-  27, 19, 11,  3
+static char PC1[] = {
+    56, 48, 40, 32, 24, 16, 8, 0,
+    57, 49, 41, 33, 25, 17, 9, 1,
+    58, 50, 42, 34, 26, 18, 10, 2,
+    59, 51, 43, 35,
+    62, 54, 46, 38, 30, 22, 14, 6,
+    61, 53, 45, 37, 29, 21, 13, 5,
+    60, 52, 44, 36, 28, 20, 12, 4,
+    27, 19, 11, 3
 };
 
 
-static char PC2[] =
-{
-  13, 16, 10, 23,  0,  4,  2, 27,
-  14,  5, 20,  9, 22, 18, 11,  3,
-  25,  7, 15,  6, 26, 19, 12,  1,
-  40, 51, 30, 36, 46, 54, 29, 39,
-  50, 44, 32, 47, 43, 48, 38, 55,
-  33, 52, 45, 41, 49, 35, 28, 31
+static char PC2[] = {
+    13, 16, 10, 23, 0, 4, 2, 27,
+    14, 5, 20, 9, 22, 18, 11, 3,
+    25, 7, 15, 6, 26, 19, 12, 1,
+    40, 51, 30, 36, 46, 54, 29, 39,
+    50, 44, 32, 47, 43, 48, 38, 55,
+    33, 52, 45, 41, 49, 35, 28, 31
 };
 
 
-static char IP[] =
-{
-  57, 49, 41, 33, 25, 17,  9,  1,
-  59, 51, 43, 35, 27, 19, 11,  3,
-  61, 53, 45, 37, 29, 21, 13,  5,
-  63, 55, 47, 39, 31, 23, 15,  7,
-  56, 48, 40, 32, 24, 16,  8,  0,
-  58, 50, 42, 34, 26, 18, 10,  2,
-  60, 52, 44, 36, 28, 20, 12,  4,
-  62, 54, 46, 38, 30, 22, 14,  6
+static char IP[] = {
+    57, 49, 41, 33, 25, 17, 9, 1,
+    59, 51, 43, 35, 27, 19, 11, 3,
+    61, 53, 45, 37, 29, 21, 13, 5,
+    63, 55, 47, 39, 31, 23, 15, 7,
+    56, 48, 40, 32, 24, 16, 8, 0,
+    58, 50, 42, 34, 26, 18, 10, 2,
+    60, 52, 44, 36, 28, 20, 12, 4,
+    62, 54, 46, 38, 30, 22, 14, 6
 };
 
 
-static char EP[] =
-{
-   7, 39, 15, 47, 23, 55, 31, 63,
-   6, 38, 14, 46, 22, 54, 30, 62,
-   5, 37, 13, 45, 21, 53, 29, 61,
-   4, 36, 12, 44, 20, 52, 28, 60,
-   3, 35, 11, 43, 19, 51, 27, 59,
-   2, 34, 10, 42, 18, 50, 26, 58,
-   1, 33,  9, 41, 17, 49, 25, 57,
-   0, 32,  8, 40, 16, 48, 24, 56
+static char EP[] = {
+    7, 39, 15, 47, 23, 55, 31, 63,
+    6, 38, 14, 46, 22, 54, 30, 62,
+    5, 37, 13, 45, 21, 53, 29, 61,
+    4, 36, 12, 44, 20, 52, 28, 60,
+    3, 35, 11, 43, 19, 51, 27, 59,
+    2, 34, 10, 42, 18, 50, 26, 58,
+    1, 33, 9, 41, 17, 49, 25, 57,
+    0, 32, 8, 40, 16, 48, 24, 56
 };
 
 
-static char E0[] =
-{
-  31,  0,  1,  2,  3,  4,  3,  4,
-   5,  6,  7,  8,  7,  8,  9, 10,
-  11, 12, 11, 12, 13, 14, 15, 16,
-  15, 16, 17, 18, 19, 20, 19, 20,
-  21, 22, 23, 24, 23, 24, 25, 26,
-  27, 28, 27, 28, 29, 30, 31,  0
+static char E0[] = {
+    31, 0, 1, 2, 3, 4, 3, 4,
+    5, 6, 7, 8, 7, 8, 9, 10,
+    11, 12, 11, 12, 13, 14, 15, 16,
+    15, 16, 17, 18, 19, 20, 19, 20,
+    21, 22, 23, 24, 23, 24, 25, 26,
+    27, 28, 27, 28, 29, 30, 31, 0
 };
 
 
 static char E[KS];
 
 
-static char PERM[] =
-{
-  15,  6, 19, 20, 28, 11, 27, 16,
-   0, 14, 22, 25,  4, 17, 30,  9,
-   1,  7, 23, 13, 31, 26,  2,  8,
-  18, 12, 29,  5, 21, 10,  3, 24
+static char PERM[] = {
+    15, 6, 19, 20, 28, 11, 27, 16,
+    0, 14, 22, 25, 4, 17, 30, 9,
+    1, 7, 23, 13, 31, 26, 2, 8,
+    18, 12, 29, 5, 21, 10, 3, 24
 };
 
 
-static char S_BOX[][64] =
-{
-  {
-    14,  0,  4, 15, 13,  7,  1,  4,  2, 14, 15,  2, 11, 13,  8,  1,
-     3, 10, 10,  6,  6, 12, 12, 11,  5,  9,  9,  5,  0,  3,  7,  8,
-     4, 15,  1, 12, 14,  8,  8,  2, 13,  4,  6,  9,  2,  1, 11,  7,
-    15,  5, 12, 11,  9,  3,  7, 14,  3, 10, 10,  0,  5,  6,  0, 13
-  },
-  {
-    15,  3,  1, 13,  8,  4, 14,  7,  6, 15, 11,  2,  3,  8,  4, 14,
-     9, 12,  7,  0,  2,  1, 13, 10, 12,  6,  0,  9,  5, 11, 10,  5,
-     0, 13, 14,  8,  7, 10, 11,  1, 10,  3,  4, 15, 13,  4,  1,  2,
-     5, 11,  8,  6, 12,  7,  6, 12,  9,  0,  3,  5,  2, 14, 15,  9
-  },
-  {
-    10, 13,  0,  7,  9,  0, 14,  9,  6,  3,  3,  4, 15,  6,  5, 10,
-     1,  2, 13,  8, 12,  5,  7, 14, 11, 12,  4, 11,  2, 15,  8,  1,
-    13,  1,  6, 10,  4, 13,  9,  0,  8,  6, 15,  9,  3,  8,  0,  7,
-    11,  4,  1, 15,  2, 14, 12,  3,  5, 11, 10,  5, 14,  2,  7, 12
-  },
-  {
-     7, 13, 13,  8, 14, 11,  3,  5,  0,  6,  6, 15,  9,  0, 10,  3,
-     1,  4,  2,  7,  8,  2,  5, 12, 11,  1, 12, 10,  4, 14, 15,  9,
-    10,  3,  6, 15,  9,  0,  0,  6, 12, 10, 11,  1,  7, 13, 13,  8,
-    15,  9,  1,  4,  3,  5, 14, 11,  5, 12,  2,  7,  8,  2,  4, 14
-  },
-  {
-     2, 14, 12, 11,  4,  2,  1, 12,  7,  4, 10,  7, 11, 13,  6,  1,
-     8,  5,  5,  0,  3, 15, 15, 10, 13,  3,  0,  9, 14,  8,  9,  6,
-     4, 11,  2,  8,  1, 12, 11,  7, 10,  1, 13, 14,  7,  2,  8, 13,
-    15,  6,  9, 15, 12,  0,  5,  9,  6, 10,  3,  4,  0,  5, 14,  3
-  },
-  {
-    12, 10,  1, 15, 10,  4, 15,  2,  9,  7,  2, 12,  6,  9,  8,  5,
-     0,  6, 13,  1,  3, 13,  4, 14, 14,  0,  7, 11,  5,  3, 11,  8,
-     9,  4, 14,  3, 15,  2,  5, 12,  2,  9,  8,  5, 12, 15,  3, 10,
-     7, 11,  0, 14,  4,  1, 10,  7,  1,  6, 13,  0, 11,  8,  6, 13
-  },
-  {
-     4, 13, 11,  0,  2, 11, 14,  7, 15,  4,  0,  9,  8,  1, 13, 10,
-     3, 14, 12,  3,  9,  5,  7, 12,  5,  2, 10, 15,  6,  8,  1,  6,
-     1,  6,  4, 11, 11, 13, 13,  8, 12,  1,  3,  4,  7, 10, 14,  7,
-    10,  9, 15,  5,  6,  0,  8, 15,  0, 14,  5,  2,  9,  3,  2, 12
-  },
-  {
-    13,  1,  2, 15,  8, 13,  4,  8,  6, 10, 15,  3, 11,  7,  1,  4,
-    10, 12,  9,  5,  3,  6, 14, 11,  5,  0,  0, 14, 12,  9,  7,  2,
-     7,  2, 11,  1,  4, 14,  1,  7,  9,  4, 12, 10, 14,  8,  2, 13,
-     0, 15,  6, 12, 10,  9, 13,  0, 15,  3,  3,  5,  5,  6,  8, 11
-  }
+static char S_BOX[][64] = {
+    {
+	    14, 0, 4, 15, 13, 7, 1, 4, 2, 14, 15, 2, 11, 13, 8, 1,
+	    3, 10, 10, 6, 6, 12, 12, 11, 5, 9, 9, 5, 0, 3, 7, 8,
+	    4, 15, 1, 12, 14, 8, 8, 2, 13, 4, 6, 9, 2, 1, 11, 7,
+	15, 5, 12, 11, 9, 3, 7, 14, 3, 10, 10, 0, 5, 6, 0, 13},
+    {
+	    15, 3, 1, 13, 8, 4, 14, 7, 6, 15, 11, 2, 3, 8, 4, 14,
+	    9, 12, 7, 0, 2, 1, 13, 10, 12, 6, 0, 9, 5, 11, 10, 5,
+	    0, 13, 14, 8, 7, 10, 11, 1, 10, 3, 4, 15, 13, 4, 1, 2,
+	5, 11, 8, 6, 12, 7, 6, 12, 9, 0, 3, 5, 2, 14, 15, 9},
+    {
+	    10, 13, 0, 7, 9, 0, 14, 9, 6, 3, 3, 4, 15, 6, 5, 10,
+	    1, 2, 13, 8, 12, 5, 7, 14, 11, 12, 4, 11, 2, 15, 8, 1,
+	    13, 1, 6, 10, 4, 13, 9, 0, 8, 6, 15, 9, 3, 8, 0, 7,
+	11, 4, 1, 15, 2, 14, 12, 3, 5, 11, 10, 5, 14, 2, 7, 12},
+    {
+	    7, 13, 13, 8, 14, 11, 3, 5, 0, 6, 6, 15, 9, 0, 10, 3,
+	    1, 4, 2, 7, 8, 2, 5, 12, 11, 1, 12, 10, 4, 14, 15, 9,
+	    10, 3, 6, 15, 9, 0, 0, 6, 12, 10, 11, 1, 7, 13, 13, 8,
+	15, 9, 1, 4, 3, 5, 14, 11, 5, 12, 2, 7, 8, 2, 4, 14},
+    {
+	    2, 14, 12, 11, 4, 2, 1, 12, 7, 4, 10, 7, 11, 13, 6, 1,
+	    8, 5, 5, 0, 3, 15, 15, 10, 13, 3, 0, 9, 14, 8, 9, 6,
+	    4, 11, 2, 8, 1, 12, 11, 7, 10, 1, 13, 14, 7, 2, 8, 13,
+	15, 6, 9, 15, 12, 0, 5, 9, 6, 10, 3, 4, 0, 5, 14, 3},
+    {
+	    12, 10, 1, 15, 10, 4, 15, 2, 9, 7, 2, 12, 6, 9, 8, 5,
+	    0, 6, 13, 1, 3, 13, 4, 14, 14, 0, 7, 11, 5, 3, 11, 8,
+	    9, 4, 14, 3, 15, 2, 5, 12, 2, 9, 8, 5, 12, 15, 3, 10,
+	7, 11, 0, 14, 4, 1, 10, 7, 1, 6, 13, 0, 11, 8, 6, 13},
+    {
+	    4, 13, 11, 0, 2, 11, 14, 7, 15, 4, 0, 9, 8, 1, 13, 10,
+	    3, 14, 12, 3, 9, 5, 7, 12, 5, 2, 10, 15, 6, 8, 1, 6,
+	    1, 6, 4, 11, 11, 13, 13, 8, 12, 1, 3, 4, 7, 10, 14, 7,
+	10, 9, 15, 5, 6, 0, 8, 15, 0, 14, 5, 2, 9, 3, 2, 12},
+    {
+	    13, 1, 2, 15, 8, 13, 4, 8, 6, 10, 15, 3, 11, 7, 1, 4,
+	    10, 12, 9, 5, 3, 6, 14, 11, 5, 0, 0, 14, 12, 9, 7, 2,
+	    7, 2, 11, 1, 4, 14, 1, 7, 9, 4, 12, 10, 14, 8, 2, 13,
+	0, 15, 6, 12, 10, 9, 13, 0, 15, 3, 3, 5, 5, 6, 8, 11}
 };
 
-static void 
-perm (a, e, pc, n)
+static void
+perm(a, e, pc, n)
      register char *a, *e;
      register char *pc;
      int n;
 {
-  for (; n--; pc++, a++)
-    *a = e[*pc];
+    for (; n--; pc++, a++)
+	*a = e[*pc];
 }
 
-static void 
-crypt_main (nachr_l, nachr_r, schl)
+static void
+crypt_main(nachr_l, nachr_r, schl)
      register char *nachr_l, *nachr_r;
      register char *schl;
 {
-  char tmp[KS];
-  register int sbval;
-  register char *tp = tmp;
-  register char *e = E;
-  register int i, j;
-
-  for (i = 0; i < 8; i++)
-    {
-      for (j = 0, sbval = 0; j < 6; j++)
-	sbval = (sbval << 1) | (nachr_r[*e++] ^ *schl++);
-      sbval = S_BOX[i][sbval];
-      for (tp += 4, j = 4; j--; sbval >>= 1)
-	*--tp = sbval & 1;
-      tp += 4;
+    char tmp[KS];
+    register int sbval;
+    register char *tp = tmp;
+    register char *e = E;
+    register int i, j;
+
+    for (i = 0; i < 8; i++) {
+	for (j = 0, sbval = 0; j < 6; j++)
+	    sbval = (sbval << 1) | (nachr_r[*e++] ^ *schl++);
+	sbval = S_BOX[i][sbval];
+	for (tp += 4, j = 4; j--; sbval >>= 1)
+	    *--tp = sbval & 1;
+	tp += 4;
     }
 
-  e = PERM;
-  for (i = 0; i < BS2; i++)
-    *nachr_l++ ^= tmp[*e++];
+    e = PERM;
+    for (i = 0; i < BS2; i++)
+	*nachr_l++ ^= tmp[*e++];
 }
 
-void 
-encrypt (char *nachr, int decr)
+void
+encrypt(char *nachr, int decr)
 {
-  char (*schl)[KS] = decr ? schluessel + 15 : schluessel;
-  char tmp[BS];
-  int i;
-
-  perm (tmp, nachr, IP, BS);
-
-  for (i = 8; i--;)
-    {
-      crypt_main (tmp, tmp + BS2, *schl);
-      if (decr)
-	schl--;
-      else
-	schl++;
-      crypt_main (tmp + BS2, tmp, *schl);
-      if (decr)
-	schl--;
-      else
-	schl++;
+    char (*schl)[KS] = decr ? schluessel + 15 : schluessel;
+    char tmp[BS];
+    int i;
+
+    perm(tmp, nachr, IP, BS);
+
+    for (i = 8; i--;) {
+	crypt_main(tmp, tmp + BS2, *schl);
+	if (decr)
+	    schl--;
+	else
+	    schl++;
+	crypt_main(tmp + BS2, tmp, *schl);
+	if (decr)
+	    schl--;
+	else
+	    schl++;
     }
 
-  perm (nachr, tmp, EP, BS);
+    perm(nachr, tmp, EP, BS);
 }
 
-void 
-setkey (char *schl)
+void
+setkey(char *schl)
 {
-  char tmp1[IS];
-  register unsigned int ls = 0x7efc;
-  register int i, j, k;
-  register int shval = 0;
-  register char *akt_schl;
-
-  memcpy (E, E0, KS);
-  perm (tmp1, schl, PC1, IS);
-
-  for (i = 0; i < 16; i++)
-    {
-      shval += 1 + (ls & 1);
-      akt_schl = schluessel[i];
-      for (j = 0; j < KS; j++)
-	{
-	  if ((k = PC2[j]) >= IS2)
-	    {
-	      if ((k += shval) >= IS)
-		k = (k - IS2) % IS2 + IS2;
-	    }
-	  else if ((k += shval) >= IS2)
-	    k %= IS2;
-	  *akt_schl++ = tmp1[k];
+    char tmp1[IS];
+    register unsigned int ls = 0x7efc;
+    register int i, j, k;
+    register int shval = 0;
+    register char *akt_schl;
+
+    memcpy(E, E0, KS);
+    perm(tmp1, schl, PC1, IS);
+
+    for (i = 0; i < 16; i++) {
+	shval += 1 + (ls & 1);
+	akt_schl = schluessel[i];
+	for (j = 0; j < KS; j++) {
+	    if ((k = PC2[j]) >= IS2) {
+		if ((k += shval) >= IS)
+		    k = (k - IS2) % IS2 + IS2;
+	    } else if ((k += shval) >= IS2)
+		k %= IS2;
+	    *akt_schl++ = tmp1[k];
 	}
-      ls >>= 1;
+	ls >>= 1;
     }
 }
 
 char *
-crypt (const char *wort, const char *salt)
+crypt(const char *wort, const char *salt)
 {
-  static char retkey[14];
-  char key[BS + 2];
-  char *k;
-  int tmp, keybyte;
-  int i, j;
-
-  memset (key, 0, BS + 2);
-
-  for (k = key, i = 0; i < BS; i++)
-    {
-      if (!(keybyte = *wort++))
-	break;
-      k += 7;
-      for (j = 0; j < 7; j++, i++)
-	{
-	  *--k = keybyte & 1;
-	  keybyte >>= 1;
+    static char retkey[14];
+    char key[BS + 2];
+    char *k;
+    int tmp, keybyte;
+    int i, j;
+
+    memset(key, 0, BS + 2);
+
+    for (k = key, i = 0; i < BS; i++) {
+	if (!(keybyte = *wort++))
+	    break;
+	k += 7;
+	for (j = 0; j < 7; j++, i++) {
+	    *--k = keybyte & 1;
+	    keybyte >>= 1;
 	}
-      k += 8;
+	k += 8;
     }
 
-  setkey (key);
-  memset (key, 0, BS + 2);
+    setkey(key);
+    memset(key, 0, BS + 2);
 
-  for (k = E, i = 0; i < 2; i++)
-    {
-      retkey[i] = keybyte = *salt++;
-      if (keybyte > 'Z')
-	keybyte -= 'a' - 'Z' - 1;
-      if (keybyte > '9')
-	keybyte -= 'A' - '9' - 1;
-      keybyte -= '.';
-
-      for (j = 0; j < 6; j++, keybyte >>= 1, k++)
-	{
-	  if (!(keybyte & 1))
-	    continue;
-	  tmp = *k;
-	  *k = k[24];
-	  k[24] = tmp;
+    for (k = E, i = 0; i < 2; i++) {
+	retkey[i] = keybyte = *salt++;
+	if (keybyte > 'Z')
+	    keybyte -= 'a' - 'Z' - 1;
+	if (keybyte > '9')
+	    keybyte -= 'A' - '9' - 1;
+	keybyte -= '.';
+
+	for (j = 0; j < 6; j++, keybyte >>= 1, k++) {
+	    if (!(keybyte & 1))
+		continue;
+	    tmp = *k;
+	    *k = k[24];
+	    k[24] = tmp;
 	}
     }
 
-  for (i = 0; i < 25; i++)
-    encrypt (key, 0);
+    for (i = 0; i < 25; i++)
+	encrypt(key, 0);
 
-  for (k = key, i = 0; i < 11; i++)
-    {
-      for (j = keybyte = 0; j < 6; j++)
-	{
-	  keybyte <<= 1;
-	  keybyte |= *k++;
+    for (k = key, i = 0; i < 11; i++) {
+	for (j = keybyte = 0; j < 6; j++) {
+	    keybyte <<= 1;
+	    keybyte |= *k++;
 	}
 
-      keybyte += '.';
-      if (keybyte > '9')
-	keybyte += 'A' - '9' - 1;
-      if (keybyte > 'Z')
-	keybyte += 'a' - 'Z' - 1;
-      retkey[i + 2] = keybyte;
+	keybyte += '.';
+	if (keybyte > '9')
+	    keybyte += 'A' - '9' - 1;
+	if (keybyte > 'Z')
+	    keybyte += 'a' - 'Z' - 1;
+	retkey[i + 2] = keybyte;
     }
 
-  retkey[i + 2] = 0;
+    retkey[i + 2] = 0;
 
-  if (!retkey[1])
-    retkey[1] = *retkey;
+    if (!retkey[1])
+	retkey[1] = *retkey;
 
-  return retkey;
+    return retkey;
 }
-
-
Index: squid/lib/getfullhostname.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/getfullhostname.c,v
retrieving revision 1.1.1.1.4.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.1
diff -u -r1.1.1.1.4.1.2.1 -r1.1.1.1.4.1.2.1.2.1
--- squid/lib/getfullhostname.c	6 Jan 2001 12:40:10 -0000	1.1.1.1.4.1.2.1
+++ squid/lib/getfullhostname.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: getfullhostname.c,v 1.1.1.1.4.1.2.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: getfullhostname.c,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
Index: squid/lib/hash.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/hash.c,v
retrieving revision 1.1.1.3.4.1.2.1
retrieving revision 1.1.1.3.4.1.2.1.2.1
diff -u -r1.1.1.3.4.1.2.1 -r1.1.1.3.4.1.2.1.2.1
--- squid/lib/hash.c	6 Jan 2001 12:40:10 -0000	1.1.1.3.4.1.2.1
+++ squid/lib/hash.c	27 Aug 2001 21:48:18 -0000	1.1.1.3.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: hash.c,v 1.1.1.3.4.1.2.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: hash.c,v 1.1.1.3.4.1.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: section 0     Hash Tables
  * AUTHOR: Harvest Derived
@@ -313,8 +312,7 @@
     xfree(hid);
 }
 
-static int hash_primes[] =
-{
+static int hash_primes[] = {
     103,
     229,
     467,
@@ -375,8 +373,7 @@
 
     while (fgets(buf, BUFSIZ, stdin)) {
 	buf[strlen(buf) - 1] = '\0';
-	printf("Inserting '%s' for item %p to hash table: %d\n",
-	    buf, buf, hid);
+	printf("Inserting '%s' for item %p to hash table: %d\n", buf, buf, hid);
 	hash_insert(hid, xstrdup(buf), (void *) 0x12345678);
 	if (random() % 17 == 0)
 	    strcpy(todelete, buf);
Index: squid/lib/heap.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/heap.c,v
retrieving revision 1.1.1.1.4.1.2.1
retrieving revision 1.1.1.1.4.1.2.1.2.1
diff -u -r1.1.1.1.4.1.2.1 -r1.1.1.1.4.1.2.1.2.1
--- squid/lib/heap.c	6 Jan 2001 12:40:10 -0000	1.1.1.1.4.1.2.1
+++ squid/lib/heap.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: heap.c,v 1.1.1.1.4.1.2.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: heap.c,v 1.1.1.1.4.1.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * AUTHOR: John Dilley, Hewlett Packard
  *
@@ -185,7 +184,7 @@
 	(void) 0;
     } else if (hp->last > 0) {
 	if (lastNode->key < hp->nodes[Parent(lastNode->id)]->key)
-	    _heap_ify_up(hp, lastNode);		/* COOL! */
+	    _heap_ify_up(hp, lastNode);	/* COOL! */
 	_heap_ify_down(hp, lastNode);
     }
     return data;
Index: squid/lib/html_quote.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/html_quote.c,v
retrieving revision 1.1.30.1.2.1
retrieving revision 1.1.30.1.2.1.2.1
diff -u -r1.1.30.1.2.1 -r1.1.30.1.2.1.2.1
--- squid/lib/html_quote.c	6 Jan 2001 12:40:10 -0000	1.1.30.1.2.1
+++ squid/lib/html_quote.c	27 Aug 2001 21:48:18 -0000	1.1.30.1.2.1.2.1
@@ -47,33 +47,28 @@
 /*  
  *  HTML defines these characters as special entities that should be quoted.
  */
-static struct {
+static struct
+{
     unsigned char code;
     char *quote;
-} htmlstandardentities[] =
-
+}
+htmlstandardentities[] =
 {
     /* NOTE: The quoted form MUST not be larger than 6 character.
      * see close to the MemPool commend below
      */
     {
-	'<', "&lt;"
-    },
-    {
-	'>', "&gt;"
-    },
-    {
-	'"', "&quot;"
-    },
-    {
-	'&', "&amp;"
-    },
-    {
-	'\'', "&#39;"
-    },
-    {
-	0, NULL
-    }
+    '<', "&lt;"}
+    , {
+    '>', "&gt;"}
+    , {
+    '"', "&quot;"}
+    , {
+    '&', "&amp;"}
+    , {
+    '\'', "&#39;"}
+    , {
+    0, NULL}
 };
 
 /*
@@ -114,7 +109,8 @@
 	 * sure all 8-bit characters are encoded to protect from buggy
 	 * clients
 	 */
-	if (!escape && (ch <= 0x1F || ch >= 0x7f) && ch != '\n' && ch != '\r' && ch != '\t') {
+	if (!escape && (ch <= 0x1F || ch >= 0x7f) && ch != '\n' && ch != '\r'
+	    && ch != '\t') {
 	    static char dec_encoded[7];
 	    snprintf(dec_encoded, sizeof dec_encoded, "&#%3d;", (int) ch);
 	    escape = dec_encoded;
Index: squid/lib/md5-test.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/md5-test.c,v
retrieving revision 1.1.1.1.44.1
retrieving revision 1.1.1.1.44.1.2.1
diff -u -r1.1.1.1.44.1 -r1.1.1.1.44.1.2.1
--- squid/lib/md5-test.c	6 Jan 2001 12:40:10 -0000	1.1.1.1.44.1
+++ squid/lib/md5-test.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.44.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: md5-test.c,v 1.1.1.1.44.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: md5-test.c,v 1.1.1.1.44.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  */
 
 /*
@@ -45,10 +45,8 @@
     MDString("abc");
     MDString("message digest");
     MDString("abcdefghijklmnopqrstuvwxyz");
-    MDString
-	("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789");
-    MDString
-	("1234567890123456789012345678901234567890\
+    MDString("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789");
+    MDString("1234567890123456789012345678901234567890\
 1234567890123456789012345678901234567890");
     return 0;
 }
Index: squid/lib/md5.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/md5.c,v
retrieving revision 1.1.1.2.30.1
retrieving revision 1.1.1.2.30.1.2.1
diff -u -r1.1.1.2.30.1 -r1.1.1.2.30.1.2.1
--- squid/lib/md5.c	6 Jan 2001 12:40:10 -0000	1.1.1.2.30.1
+++ squid/lib/md5.c	27 Aug 2001 21:48:18 -0000	1.1.1.2.30.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: md5.c,v 1.1.1.2.30.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: md5.c,v 1.1.1.2.30.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  */
 
 /* taken from RFC-1321/Appendix A.3 */
@@ -79,8 +79,7 @@
 static void MD5_memset(char *, int, unsigned int);
 #endif
 
-static unsigned char PADDING[64] =
-{
+static unsigned char PADDING[64] = {
     0x80, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
     0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
Index: squid/lib/radix.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/radix.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/lib/radix.c	6 Jan 2001 12:40:10 -0000	1.1.1.2.4.1.2.1
+++ squid/lib/radix.c	27 Aug 2001 21:48:18 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: radix.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: radix.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: section 53     Radix tree data structure implementation
  * AUTHOR: NetBSD Derived
@@ -118,7 +118,7 @@
 struct radix_node_head *mask_rnhead;
 static char *addmask_key;
 static unsigned char normal_chars[] =
-{0, 0x80, 0xc0, 0xe0, 0xf0, 0xf8, 0xfc, 0xfe, 0xFF};
+    { 0, 0x80, 0xc0, 0xe0, 0xf0, 0xf8, 0xfc, 0xfe, 0xFF };
 static char *rn_zeros, *rn_ones;
 
 #define rn_masktop (mask_rnhead->rnh_treetop)
@@ -184,8 +184,7 @@
     register caddr_t v = v_arg, m = m_arg;
 
     for (x = head; x->rn_b >= 0;) {
-	if ((x->rn_bmask & m[x->rn_off]) &&
-	    (x->rn_bmask & v[x->rn_off]))
+	if ((x->rn_bmask & m[x->rn_off]) && (x->rn_bmask & v[x->rn_off]))
 	    x = x->rn_r;
 	else
 	    x = x->rn_l;
@@ -241,8 +240,7 @@
     return x;
 }
 
-static
-int
+static int
 rn_satsifies_leaf(trial, leaf, skip)
      char *trial;
      register struct radix_node *leaf;
@@ -618,9 +616,7 @@
 	for (t = tt; tt; t = tt, tt = tt->rn_dupedkey) {
 	    if (tt->rn_mask == netmask)
 		return (0);
-	    if (netmask == 0 ||
-		(tt->rn_mask &&
-		    ((b_leaf < tt->rn_b) ||	/* index(netmask) > node */
+	    if (netmask == 0 || (tt->rn_mask && ((b_leaf < tt->rn_b) ||	/* index(netmask) > node */
 			rn_refines(netmask, tt->rn_mask) ||
 			rn_lexobetter(netmask, tt->rn_mask))))
 		break;
@@ -719,8 +715,7 @@
 	if (m->rm_flags & RNF_NORMAL) {
 	    mmask = m->rm_leaf->rn_mask;
 	    if (tt->rn_flags & RNF_NORMAL) {
-		fprintf(stderr,
-		    "Non-unique normal route, mask not entered");
+		fprintf(stderr, "Non-unique normal route, mask not entered");
 		return tt;
 	    }
 	} else
@@ -756,8 +751,7 @@
     vlen = *(u_char *) v;
     saved_tt = tt;
     top = x;
-    if (tt == 0 ||
-	memcmp(v + head_off, tt->rn_key + head_off, vlen - head_off))
+    if (tt == 0 || memcmp(v + head_off, tt->rn_key + head_off, vlen - head_off))
 	return (0);
     /*
      * Delete our route from mask lists.
@@ -1002,8 +996,7 @@
 	    max_keylen = dom->dom_maxrtkey;
 #endif
     if (max_keylen == 0) {
-	fprintf(stderr,
-	    "rn_init: radix functions require max_keylen be set\n");
+	fprintf(stderr, "rn_init: radix functions require max_keylen be set\n");
 	return;
     }
     R_Malloc(rn_zeros, char *, 3 * max_keylen);
Index: squid/lib/readdir.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/Attic/readdir.c,v
retrieving revision 1.1.78.1
retrieving revision 1.1.78.1.2.1
diff -u -r1.1.78.1 -r1.1.78.1.2.1
--- squid/lib/readdir.c	8 Jul 2001 10:31:59 -0000	1.1.78.1
+++ squid/lib/readdir.c	27 Aug 2001 21:48:18 -0000	1.1.78.1.2.1
@@ -1,4 +1,3 @@
-
 #include <malloc.h>
 #include <string.h>
 #include <errno.h>
@@ -18,7 +17,8 @@
  * The DIR typedef is not compatible with Unix.
  **********************************************************************/
 
-DIR * opendir(const char *dir)
+DIR *
+opendir(const char *dir)
 {
     DIR *dp;
     char *filespec;
@@ -29,19 +29,19 @@
     strcpy(filespec, dir);
     index = strlen(filespec) - 1;
     if (index >= 0 && (filespec[index] == '/' || filespec[index] == '\\'))
-        filespec[index] = '\0';
+	filespec[index] = '\0';
     strcat(filespec, "/*");
 
-    dp = (DIR *)malloc(sizeof(DIR));
+    dp = (DIR *) malloc(sizeof(DIR));
     dp->offset = 0;
     dp->finished = 0;
     dp->dir = strdup(dir);
 
     if ((handle = _findfirst(filespec, &(dp->fileinfo))) < 0) {
-        if (errno == ENOENT)
-            dp->finished = 1;
-        else
-        return NULL;
+	if (errno == ENOENT)
+	    dp->finished = 1;
+	else
+	    return NULL;
     }
 
     dp->handle = handle;
@@ -50,15 +50,17 @@
     return dp;
 }
 
-struct dirent * readdir(DIR *dp)
+struct dirent *
+readdir(DIR * dp)
 {
-    if (!dp || dp->finished) return NULL;
+    if (!dp || dp->finished)
+	return NULL;
 
     if (dp->offset != 0) {
-        if (_findnext(dp->handle, &(dp->fileinfo)) < 0) {
-            dp->finished = 1;
-            return NULL;
-        }
+	if (_findnext(dp->handle, &(dp->fileinfo)) < 0) {
+	    dp->finished = 1;
+	    return NULL;
+	}
     }
     dp->offset++;
 
@@ -70,12 +72,16 @@
     return &(dp->dent);
 }
 
-int closedir(DIR *dp)
+int
+closedir(DIR * dp)
 {
-    if (!dp) return 0;
+    if (!dp)
+	return 0;
     _findclose(dp->handle);
-    if (dp->dir) free(dp->dir);
-    if (dp) free(dp);
+    if (dp->dir)
+	free(dp->dir);
+    if (dp)
+	free(dp);
 
     return 0;
 }
Index: squid/lib/rfc1035.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1035.c,v
retrieving revision 1.1.1.1.4.3.2.1
retrieving revision 1.1.1.1.4.3.2.1.2.1
diff -u -r1.1.1.1.4.3.2.1 -r1.1.1.1.4.3.2.1.2.1
--- squid/lib/rfc1035.c	6 Jan 2001 12:40:10 -0000	1.1.1.1.4.3.2.1
+++ squid/lib/rfc1035.c	27 Aug 2001 21:48:18 -0000	1.1.1.1.4.3.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: rfc1035.c,v 1.1.1.1.4.3.2.1 2001/01/06 12:40:10 hno Exp $
+ * $Id: rfc1035.c,v 1.1.1.1.4.3.2.1.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * Low level DNS protocol routines
  * AUTHOR: Duane Wessels
@@ -78,7 +77,8 @@
 
 int rfc1035_errno;
 const char *rfc1035_error_message;
-struct _rfc1035_header {
+struct _rfc1035_header
+{
     unsigned short id;
     unsigned int qr:1;
     unsigned int opcode:4;
@@ -191,10 +191,7 @@
  */
 static off_t
 rfc1035QuestionPack(char *buf,
-    size_t sz,
-    const char *name,
-    unsigned short type,
-    unsigned short class)
+    size_t sz, const char *name, unsigned short type, unsigned short class)
 {
     off_t off = 0;
     unsigned short s;
@@ -377,9 +374,7 @@
 
 int
 rfc1035AnswersUnpack(const char *buf,
-    size_t sz,
-    rfc1035_rr ** records,
-    unsigned short *id)
+    size_t sz, rfc1035_rr ** records, unsigned short *id)
 {
     off_t off = 0;
     int l;
@@ -478,10 +473,7 @@
     h.qdcount = (unsigned int) 1;
     offset += rfc1035HeaderPack(buf + offset, sz - offset, &h);
     offset += rfc1035QuestionPack(buf + offset,
-	sz - offset,
-	hostname,
-	RFC1035_TYPE_A,
-	RFC1035_CLASS_IN);
+	sz - offset, hostname, RFC1035_TYPE_A, RFC1035_CLASS_IN);
     assert(offset <= sz);
     *szp = (size_t) offset;
     return h.id;
@@ -508,10 +500,7 @@
     memset(&h, '\0', sizeof(h));
     i = (unsigned int) ntohl(addr.s_addr);
     snprintf(rev, 32, "%u.%u.%u.%u.in-addr.arpa.",
-	i & 255,
-	(i >> 8) & 255,
-	(i >> 16) & 255,
-	(i >> 24) & 255);
+	i & 255, (i >> 8) & 255, (i >> 16) & 255, (i >> 24) & 255);
     h.id = rfc1035Qid();
     h.qr = 0;
     h.rd = 1;
@@ -519,10 +508,7 @@
     h.qdcount = (unsigned int) 1;
     offset += rfc1035HeaderPack(buf + offset, sz - offset, &h);
     offset += rfc1035QuestionPack(buf + offset,
-	sz - offset,
-	rev,
-	RFC1035_TYPE_PTR,
-	RFC1035_CLASS_IN);
+	sz - offset, rev, RFC1035_TYPE_PTR, RFC1035_CLASS_IN);
     assert(offset <= sz);
     *szp = (size_t) offset;
     return h.id;
@@ -598,10 +584,7 @@
 	    int i;
 	    int n;
 	    rfc1035_rr *answers = NULL;
-	    n = rfc1035AnswersUnpack(rbuf,
-		rl,
-		&answers,
-		&rid);
+	    n = rfc1035AnswersUnpack(rbuf, rl, &answers, &rid);
 	    if (rid != sid) {
 		printf("ERROR, ID mismatch (%#hx, %#hx)\n", sid, rid);
 	    } else if (n < 0) {
Index: squid/lib/rfc1123.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1123.c,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.3.2.1
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.3.2.1
--- squid/lib/rfc1123.c	8 Jul 2001 10:31:59 -0000	1.1.1.3.4.1.2.3
+++ squid/lib/rfc1123.c	27 Aug 2001 21:48:18 -0000	1.1.1.3.4.1.2.3.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: rfc1123.c,v 1.1.1.3.4.1.2.3 2001/07/08 10:31:59 serassio Exp $
+ * $Id: rfc1123.c,v 1.1.1.3.4.1.2.3.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -74,8 +73,7 @@
 static int make_month(const char *s);
 static int make_num(const char *s);
 
-static char *month_names[12] =
-{
+static char *month_names[12] = {
     "Jan", "Feb", "Mar", "Apr", "May", "Jun",
     "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
 };
@@ -119,7 +117,7 @@
 	return 0;
     if (tm->tm_mon < 0 || tm->tm_mon > 11)
 	return 0;
-    if (tm->tm_year < 70 || tm->tm_year > 120)
+    if (tm->tm_year < 70 || tm->tm_year > 130)
 	return 0;
     return 1;
 }
@@ -148,13 +146,15 @@
     memset(&tm, '\0', sizeof(tm));
     tm.tm_mday = make_num(s);
     tm.tm_mon = make_month(s + 3);
-    tm.tm_year = make_num(s + 7);
+    tm.tm_year = atoi(s + 7);
     /*
      * Y2K: Arjan de Vet <Arjan.deVet@adv.IAEhv.nl>
      * if tm.tm_year < 70, assume it's after the year 2000.
      */
     if (tm.tm_year < 70)
 	tm.tm_year += 100;
+    else if (tm.tm_year > 1900)
+	tm.tm_year -= 1900;
     tm.tm_hour = make_num(s + 10);
     tm.tm_min = make_num(s + 13);
     tm.tm_sec = make_num(s + 16);
@@ -257,10 +257,11 @@
     {
 	time_t dst = 0;
 #if defined (_TIMEZONE)
+#error defined
 #elif defined (_timezone)
+#error defined
 #elif defined(_SQUID_AIX_)
 #elif defined(_SQUID_CYGWIN_)
-#elif defined(_SQUID_MSWIN_)
 #else
 	extern time_t timezone;
 #endif
@@ -270,7 +271,8 @@
 	 */
 	if (tm->tm_isdst > 0)
 	    dst = -3600;
-#if defined ( _timezone) || defined(_SQUID_CYGWIN_) || defined(_SQUID_MSWIN_)
+#if defined ( _timezone) || defined(_SQUID_CYGWIN_)
+#error defined
 	t -= (_timezone + dst);
 #else
 	t -= (timezone + dst);
@@ -324,8 +326,7 @@
 
     len = strftime(buf, 127 - 5, "%d/%b/%Y:%H:%M:%S ", lt);
     snprintf(buf + len, 128 - len, "%+03d%02d",
-	(min_offset / 60) % 24,
-	min_offset % 60);
+	(min_offset / 60) % 24, min_offset % 60);
 #else /* USE_GMT */
     buf[0] = '\0';
     strftime(buf, 127, "%d/%b/%Y:%H:%M:%S -000", gmt);
Index: squid/lib/rfc1738.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1738.c,v
retrieving revision 1.1.1.2.4.1.2.2
retrieving revision 1.1.1.2.4.1.2.2.2.1
diff -u -r1.1.1.2.4.1.2.2 -r1.1.1.2.4.1.2.2.2.1
--- squid/lib/rfc1738.c	25 Mar 2001 17:49:42 -0000	1.1.1.2.4.1.2.2
+++ squid/lib/rfc1738.c	27 Aug 2001 21:48:18 -0000	1.1.1.2.4.1.2.2.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: rfc1738.c,v 1.1.1.2.4.1.2.2 2001/03/25 17:49:42 serassio Exp $
+ * $Id: rfc1738.c,v 1.1.1.2.4.1.2.2.2.1 2001/08/27 21:48:18 tolsty Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -48,8 +48,7 @@
  *  RFC 1738 defines that these characters should be escaped, as well
  *  any non-US-ASCII character or anything between 0x00 - 0x1F.
  */
-static char rfc1738_unsafe_chars[] =
-{
+static char rfc1738_unsafe_chars[] = {
     (char) 0x3C,		/* < */
     (char) 0x3E,		/* > */
     (char) 0x22,		/* " */
@@ -70,8 +69,7 @@
     (char) 0x20			/* space */
 };
 
-static char rfc1738_reserved_chars[] =
-{
+static char rfc1738_reserved_chars[] = {
     (char) 0x3b,		/* ; */
     (char) 0x2f,		/* / */
     (char) 0x3f,		/* ? */
@@ -113,7 +111,8 @@
 	if (encode_reserved >= 0 && *p == '%')
 	    do_escape = 1;
 	/* RFC 1738 defines these chars as reserved */
-	for (i = 0; i < sizeof(rfc1738_reserved_chars) && encode_reserved > 0; i++) {
+	for (i = 0; i < sizeof(rfc1738_reserved_chars) && encode_reserved > 0;
+	    i++) {
 	    if (*p == rfc1738_reserved_chars[i]) {
 		do_escape = 1;
 		break;
